@echo off
rem RPG Toolkit 2 Last Resort Install Untility.
rem If Setup.exe is not installing the Toolkit properly for some reason,
rem This batch file should be able to use 'Brute Force' to get the
rem Toolkit installed and up-and-running.
rem Don't use this if setup.exe is working for you.
cls
echo                RPG Toolkit Development System, Version 2.1
echo -------------------------------------------------------------------------------
echo               Copyright 1999, 2000 By Christopher B. Matthews
echo -------------------------------------------------------------------------------
echo                       Last-Resort Install Utility
echo.
echo This script will maually install the RPG Toolkit in C:\Toolkit2
echo It also asumes that your Windows\System directory is at C:\Windows\System
echo.
echo  ******************************************************************************
echo  * You should install the Toolkit with the program setup.exe if possible.  It *
echo  * provides a much cleaner install process.  Only use this script as a last   *
echo  * resort.  Very few people actaully have to use this script to get the       *
echo  * Toolkit running.  The vast majority of people have used setup.exe to       *
echo  * successfully install the Toolkit.                                          *
echo  *                                                                            *
echo  * Before this script proceeds with the install process, maybe you should     *
echo  * exit and try running setup.exe.                                            *
echo  ******************************************************************************
echo.
echo Press CTRL-C to quit, or
pause
cls
echo The License Agreement will now be displayed.  Please read it. By installing the
echo Toolkit, you show that you agree to the terms of the license.  If you do not
echo agree with the license, you can quit the setup procedure by hitting CTRL-C...
echo Press spacebar to scroll the licensing info.
pause
type eula.txt |more
cls
echo Now we will copy the required runtime files into C:\Windows\System  
echo This will only work if your windows\system directory is actually at
echo C:\Windows\System.  On most of the systems it is.
echo.
pause
vbrun60 /q
copy *.ocx c:\windows\system
copy *.dll c:\windows\system
cls
echo Now we will install the program files into C:\Toolkit2
pause
md c:\Toolkit2
zip -extract -directories c:\Toolkit2
copy vbrun60.exe c:\toolkit2
cls
echo The Toolkit was successfully installed.  To run it, type TOOLKIT.
c:
cd\toolkit2
